Deletes the catalog entry association.
1 min
DELETE
/episerverapi/commerce/entries/{entryCode}/associations/{name}
Path Parameters
- namestringrequiredDescription
- entryCodestringrequired
Query Parameters
- entryCodestringDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Responses
200
- Association
- sortOrderinteger<int32>DescriptionFormatint32
- namestringDescription
- catalogEntryCodestringDescription
- descriptionstringDescription
- entryAssociationsEntryAssociation[]Description
- sortOrderinteger<int32>DescriptionFormatint32
- typestringDescription
- catalogEntryCodestringDescription
- entryResourceLinkDescription
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
401
404
curl
curl --request DELETE \
--url /episerverapi/commerce/entries/{entryCode}/associations/{name} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/entries/{entryCode}/associations/{name}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/entries/{entryCode}/associations/{name}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Delete.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/entries/{entryCode}/associations/{name}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// The catalog association is deleted.
{
"sortOrder": "",
"name": "",
"catalogEntryCode": "",
"description": "",
"entryAssociations": [
{
"sortOrder": "",
"type": "",
"catalogEntryCode": "",
"entry": {
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
}
]
}401
// If user does not have enough permission for this request.
404
// If entry or association does not exist.